#include <bits/stdc++.h>

using namespace std;

int main(){
	string a; cin>>a;
	int x,y; cin>>x>>y;
	if(abs(x-y)>1) cout<<"nemoguce";
	else{
		if(x>y){
			for(int i=0;i<x;i++){
				cout<<a;
			}
			cout<<a[0];
		}else if(x==y){
			for(int i=0;i<x;i++){
				cout<<a;
			}
		}else{
			for(int i=0;i<x;i++){
				cout<<a[1]<<a[0];
			}
			cout<<a[1];
		}
	}
	return 0;
}